## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# Deactivate tests on s390x as they failed due to endianness problem
# https://github.com/Lokathor/wide/issues/88
%ifarch s390x
%bcond_with check
%else
%bcond_without check
%endif
%global debug_package %{nil}

%global crate wide

Name:           rust-%{crate}
Version:        0.7.4
Release:        %autorelease
Summary:        Crate to help you go wide

# Upstream license specification: Zlib OR Apache-2.0 OR MIT
License:        zlib or ASL 2.0 or MIT
URL:            https://crates.io/crates/wide
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Crate to help you go wide.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-ZLIB.md
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 0.7.4-1
- Update to version 0.7.4; Fixes RHBZ#2044000

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2031563

* Sun Dec 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2031557

* Tue Sep 21 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2004971

* Wed Aug 04 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#1989792

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.6.5-1
- Initial package

